package cn.tonyandmoney.tuon.qywx;


import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 企业微信登录视频
 */
@ConfigurationProperties(prefix = "qywx")
public class QywxProperties {
    private String corpid;
    private String corpSecret;
    private String host="https://qyapi.weixin.qq.com";
    private String accessTokenPath="/cgi-bin/gettoken?corpid={corpid}&corpsecret={corpsecret}";
    private String userInfoPath="/cgi-bin/user/getuserinfo?access_token={access_token}&code={code}";
    private String userGetPath="/cgi-bin/user/get?access_token={access_token}&userid={userid}";


    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getAccessTokenPath() {
        return accessTokenPath;
    }

    public void setAccessTokenPath(String accessTokenPath) {
        this.accessTokenPath = accessTokenPath;
    }

    public String getUserInfoPath() {
        return userInfoPath;
    }

    public void setUserInfoPath(String userInfoPath) {
        this.userInfoPath = userInfoPath;
    }

    public String getUserGetPath() {
        return userGetPath;
    }

    public void setUserGetPath(String userGetPath) {
        this.userGetPath = userGetPath;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getCorpSecret() {
        return corpSecret;
    }

    public void setCorpSecret(String corpSecret) {
        this.corpSecret = corpSecret;
    }
}
